Package org.apache.solr.common.cloud

## Class ZkDynamicConfig

- java.lang.Object
- - org.apache.solr.common.cloud.ZkDynamicConfig

    public class ZkDynamicConfig
    extends Object

Class holding the dynamic config of a Zookeeper ensemble as fetched from znode `/zookeeper/config`.

### Nested Class Summary

Nested Classes
`static class` `ZkDynamicConfig.Server` Object representing one line in Zk dynamic config

### Field Summary

Fields
`static Pattern` `linePattern`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ZkDynamicConfig` `fromZkConnectString​(String zkHost)` Creates an instance based on a zookeeper connect string on format `host:port,host:port[/chroot]`
`List<ZkDynamicConfig.Server>` `getServers()`
`String` `getVersion()`
`static ZkDynamicConfig` `parseLines​(String lines)` Parse a raw multi line config string with the full content of znode /zookeeper/config.
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### linePattern

    public static final Pattern linePattern

### Method Detail

#### parseLines

    public static ZkDynamicConfig parseLines​(String lines)

Parse a raw multi line config string with the full content of znode /zookeeper/config.

Parameters:
  `lines` - the multi line config string. If empty or null, this will return an empty list
Returns:
  an instance of ZkDynamicConfig

#### fromZkConnectString

    public static ZkDynamicConfig fromZkConnectString​(String zkHost)

Creates an instance based on a zookeeper connect string on format `host:port,host:port[/chroot]`

Parameters:
  `zkHost` - zk connect string
Returns:
  instance of ZkDynamicConfig

#### getServers

    public List<ZkDynamicConfig.Server> getServers()

#### getVersion

    public String getVersion()

#### size

    public int size()